# $Revision: 1.26 $, $Date: 2009/06/15 11:53:58 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define		pnam	Upload
Summary:	CGI::Upload - CGI class for handling browser file uploads
Summary(pl.UTF-8):	CGI::Upload - klasa CGI do obsługi przesyłu plików przez przeglądarkę
Name:		perl-CGI-Upload
Version:	1.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2f599b179c49e3d843351b77d94e5777
URL:		http://search.cpan.org/dist/CGI-Upload/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
#BuildRequires:	perl-CGI
BuildRequires:	perl-File-MMagic
BuildRequires:	perl-HTTP-BrowserDetect
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CGI::Upload has been written to provide a simple and secure manner by
which to handle files uploaded in multipart/form-data requests through
a web browser.  The primary advantage which this module offers over
existing modules is the single interface providing the most often required
information regarding files uploaded through multipart/form-data requests.

%description -l pl.UTF-8
CGI::Upload udostępnia prosty i bezpieczny sposób do obsługi plików,
przesyłanych przez przeglądarkę w zapytaniach multipart/form-data.
Podstawową przewagą tego modułu nad innymi istniejącymi modułami jest
pojedyńczy interfejs, dostarczający najczęściej wymaganych informacji,
związanych z przesyłem plików przy użyciu zapytań multipart/form-data.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-Upload.spec,v $
Revision 1.26  2009/06/15 11:53:58  amateja
- updated to 1.11

Revision 1.25  2008/07/27 22:50:27  arekm
- release 2

Revision 1.24  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.22  2004/11/03 22:30:09  paladine
- formatting

Revision 1.21  2004/10/24 13:53:21  paladine
- spelling fix

Revision 1.20  2004/08/08 17:33:39  adamg
- proper License
- URL added

Revision 1.19  2004/08/08 17:31:32  adamg
- updated to 1.10

Revision 1.18  2004/06/10 17:34:03  adamg
- updated to 1.08

Revision 1.17  2004/06/03 10:31:50  adamg
- updated to 1.06

Revision 1.16  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.15  2004/05/06 18:09:19  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/25 06:25:04  ankry
- cosmetics: unification

Revision 1.13  2004/04/20 09:46:27  ankry
- bcond fixes/porting

Revision 1.12  2004/04/17 18:00:51  ankry
- license/summary/description fixes

Revision 1.11  2003/09/09 10:24:28  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:28  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 18:45:33  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:36:51  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:27:10  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/11/28 17:50:29  mis
- autoupdated to 1.05

Revision 1.2  2002/09/22 14:03:27  kloczek
- (auto)updated to 1.04: major code refactoring, incorporated AUTOLOAD functions
  and documentation updates.

Revision 1.1  2002/09/04 11:19:33  radek
- new, STBR
